# ########################################################
# # ZONE Common vitamui
# ########################################################
- hosts: hosts_vitamui
  roles:
    - uninstall
  vars:
    uninstaller_type: rsyslog



########################################################
# ZONE Infra
########################################################

## Pas de consul pour vitamui

- hosts: hosts_vitamui
  roles:
    - uninstall
  vars:
    service_name: consul
    uninstaller_type: vitam-service
  tags:
    - consul
    - zone-vitamui-infra

- hosts: hosts_vitamui_logstash
  roles:
    - uninstall
  vars:
    service_name: logstash
    uninstaller_type: vitamui-service
  tags:
    - logstash
    - zone-vitamui-infra

#######################################################
# ZONE Data
#######################################################

- hosts: hosts_vitamui_mongod
  roles:
    - uninstall
  vars:
    service_name: mongod
    uninstaller_type: vitamui-service
  tags:
    - mongod

- hosts: hosts_vitamui_mongod
  roles:
    - uninstall
  vars:
    service_name: mongo-express
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-data
    - mongo-express

########################################################
# ZONE APP
########################################################

- hosts: hosts_vitamui_security_internal
  roles:
    - uninstall
  vars:
    service_name: security-internal
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-app
    - security-internal

- hosts: hosts_vitamui_iam_internal
  roles:
    - uninstall
  vars:
    service_name: iam-internal
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-app
    - iam-internal

- hosts: hosts_vitamui_iam_external
  roles:
    - uninstall
  vars:
    service_name: iam-external
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-app
    - iam-external

########################################################
# ZONE CAS
########################################################
- hosts: hosts_cas_server
  roles:
    - uninstall
  vars:
    service_name: cas-server
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-cas
    - cas-server

########################################################
# ZONE UI
########################################################
- hosts: hosts_ui_identity
  roles:
    - uninstall
  vars:
    service_name: ui-identity
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-ui
    - ui-identity

- hosts: hosts_ui_portal
  roles:
    - uninstall
  vars:
    service_name: ui-portal
    uninstaller_type: vitamui-service
  tags:
    - zone-vitamui-ui
    - ui-portal


########################################################
# ZONE ADMIN
########################################################
- hosts: hosts_ui_identity_admin
  roles:
    - uninstall
  vars:
    service_name: ui-identity-admin
    uninstaller_type: vitamui-service
  tags:
    - ui-identity-admin
    - zone-vitamui-admin

############################
# ZONE UI
############################
- hosts: zone_vitamui_ui
  tasks:
    - name: delete empty dir
      shell: "rm -rf {{ vitamui_defaults.folder.root_path }}/conf/assets/"
      ignore_errors: yes
  tags:
    - zone-vitamui-ui

########################################################
# ZONE REVERSE
########################################################
- hosts: hosts_vitamui_reverseproxy
  roles:
    - uninstall
  vars:
    service_name: nginx
    uninstaller_type: vitamui-service
  tags:
   - reverseproxy
   - zone-vitamui-rp
   - nginx

############################
# Delete empty dir
############################

- hosts: hosts_vitamui
  tasks:
    - name: delete empty dir vitamui
      shell: "find /vitamui -type d -empty -delete"
      ignore_errors: yes
    - name: delete empty dir vitam
      shell: "find /vitam -type d -empty -delete"
      ignore_errors: yes

############################
# Remove repository and yum cache
############################

- hosts: hosts_vitamui
  roles:
    - uninstall
  vars:
    uninstaller_type: repository
  tags:
   - repository
